# Module ra_counters

- Data Types
- Function Index
- Function Details

## Data Types

### name()

    name() = term()

### state()

abstract datatype: `state()`

## Function Index

init/0 |
new/2 |
fetch/1 |
delete/1 |
overview/0 |
overview/1 |

## Function Details

### init/0

    init() -> ok

### new/2

    new(Name :: name(), Fields :: [atom()]) -> counters:counters_ref()

### fetch/1

    fetch(Name :: name()) -> undefined | counters:counters_ref()

### delete/1

    delete(Name :: term()) -> ok

### overview/0

    overview() -> #{name() => #{atom() => non_neg_integer()}}

### overview/1

    overview(Name :: name()) -> #{atom() => non_neg_integer()}

Generated by EDoc